# ReflectionClassConstant::__construct

(PHP 7 >= 7.1.0, PHP 8)

ReflectionClassConstant::__construct — Constructs a ReflectionClassConstant

### Beschreibung

public ReflectionClassConstant::__construct(object|string `$class`, string `$constant`)

Constructs a new ReflectionClassConstant object.

### Parameter-Liste

`class`

  Either a string containing the name of the class to reflect, or an object.

`constant`

  The name of the class constant.

### Fehler/Exceptions

Throws an Exception in case the given class constant does not exist.

### Siehe auch

- Constructors

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open